Upsert court mapping
Create or update a court mapping for an external service.
A court mapping belongs to the organization relation of the court's owning organization. When that relation is deleted (see "Unlink organization relation"), the mapping is deleted with it.
Path Parameters
External service identifier.
uuidCourt identifier.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response
200Error Responses
invalid_schema
Request validation failed.
missing_api_token
No authentication token provided.
invalid_api_token
Invalid or expired authentication token.
scope_permission_denied
Insufficient permissions for this operation.
external_service_access_denied
Token does not match the requested external service.
organization_access_denied
Service is not granted access to the organization.
court_not_found
Court was not found.
external_court_id_already_in_use
The submitted external court ID is already linked to a different court.
curl -X PUT "https://dev.wingfield.systems/api/v1/external-services/497f6eca-6276-4993-bfeb-53cbbbba6f08/courts/497f6eca-6276-4993-bfeb-53cbbbba6f08/mapping" \ -H "Content-Type: application/json" \ -d '{ "externalCourtId": "string", "externalCourtName": "string" }'{
"externalServiceId": "e8623a0d-39de-4963-9c6c-a25dc38e89c9",
"courtId": "79ae2927-a9bc-46ed-8f9e-079af32b7616",
"externalCourtId": "string",
"externalCourtName": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}{
"error": {
"type": "court_not_found",
"message": "string"
}
}{
"error": {
"type": "external_court_id_already_in_use",
"message": "string"
}
}